globalThis.__nitro_main__ = import.meta.url;
import { a as FastResponse, n as HTTPError, r as defineLazyEventHandler, t as H3Core } from "./_libs/h3+rou3+srvx.mjs";
import { t as HookableCore } from "./_libs/hookable.mjs";
//#region #nitro-vite-setup
function lazyService(loader) {
	let promise, mod;
	return { fetch(req) {
		if (mod) return mod.fetch(req);
		if (!promise) promise = loader().then((_mod) => mod = _mod.default || _mod);
		return promise.then((mod) => mod.fetch(req));
	} };
}
var services = { ["ssr"]: lazyService(() => import("./_ssr/ssr.mjs")) };
globalThis.__nitro_vite_envs__ = services;
//#endregion
//#region #nitro/virtual/public-assets-data
var public_assets_data_default = {
	"/favicon.ico": {
		"type": "image/vnd.microsoft.icon",
		"etag": "\"4f95-3RXc3p2mhEAs1WBwaIvE0Y0uu0Y\"",
		"mtime": "2026-07-24T00:13:07.999Z",
		"size": 20373,
		"path": "../public/favicon.ico"
	},
	"/assets/about-EqQAtxbj.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"5c5-A0z6oCFyzNLOAQXIcR8C9EI2xuE\"",
		"mtime": "2026-08-19T16:07:15.807Z",
		"size": 1477,
		"path": "../public/assets/about-EqQAtxbj.js"
	},
	"/assets/admin-DMxWYAOl.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"978d-J1iJs8GJ8kkalTCbaayKKHTFFHY\"",
		"mtime": "2026-08-19T16:07:15.816Z",
		"size": 38797,
		"path": "../public/assets/admin-DMxWYAOl.js"
	},
	"/assets/admin._id-CkO-y4dR.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"274e-7jfRcf2ptIMs+uahisc3mvB3sMU\"",
		"mtime": "2026-08-19T16:07:15.848Z",
		"size": 10062,
		"path": "../public/assets/admin._id-CkO-y4dR.js"
	},
	"/assets/badge-check-Br8mxJM-.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"131-N0YDhdUr6FJeWCF/RxVH1NjwLN4\"",
		"mtime": "2026-08-19T16:07:15.848Z",
		"size": 305,
		"path": "../public/assets/badge-check-Br8mxJM-.js"
	},
	"/assets/admin_.vendors._id-ol2ggW5v.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"ddb-f+81pOQS83O7794RmoBWQrE0gyk\"",
		"mtime": "2026-08-19T16:07:15.848Z",
		"size": 3547,
		"path": "../public/assets/admin_.vendors._id-ol2ggW5v.js"
	},
	"/assets/careers-BUEJMp5e.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"769-jRXZwfZAtVj0vWfXLWJnrgkrCP4\"",
		"mtime": "2026-08-19T16:07:15.853Z",
		"size": 1897,
		"path": "../public/assets/careers-BUEJMp5e.js"
	},
	"/assets/category._slug-BpBmZp29.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1a3-FbBSIC5CKehsDJJkSMBrSQXtHeQ\"",
		"mtime": "2026-08-19T16:07:15.863Z",
		"size": 419,
		"path": "../public/assets/category._slug-BpBmZp29.js"
	},
	"/assets/category._slug-CHJbYoOk.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"17d-kbXbFbKm2mfA0RBU5QwyK7Ajj5A\"",
		"mtime": "2026-08-19T16:07:15.863Z",
		"size": 381,
		"path": "../public/assets/category._slug-CHJbYoOk.js"
	},
	"/assets/category._slug-ioLaOQO0.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1083-/qmeJAeDplSA6x25q7mHOQx4c90\"",
		"mtime": "2026-08-19T16:07:15.866Z",
		"size": 4227,
		"path": "../public/assets/category._slug-ioLaOQO0.js"
	},
	"/assets/circle-check-7t0hZ5Jk.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"a7-Qr1a9c3ctuqMM79ZpgRIr/OwElc\"",
		"mtime": "2026-08-19T16:07:16.339Z",
		"size": 167,
		"path": "../public/assets/circle-check-7t0hZ5Jk.js"
	},
	"/assets/contact-Dsd4gXms.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"133e-AcziBzzhhYWiznmroe0HDr1KUjA\"",
		"mtime": "2026-08-19T16:07:16.339Z",
		"size": 4926,
		"path": "../public/assets/contact-Dsd4gXms.js"
	},
	"/assets/credit-card-BGBZqn5z.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"c4-YfiX2F5bGiMvscNeX5Lza0ljLD0\"",
		"mtime": "2026-08-19T16:07:16.341Z",
		"size": 196,
		"path": "../public/assets/credit-card-BGBZqn5z.js"
	},
	"/assets/external-link-BTL2myUy.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"f0-NQBTrTIsl+zleiv7Bu2xikvw+TM\"",
		"mtime": "2026-08-19T16:07:16.341Z",
		"size": 240,
		"path": "../public/assets/external-link-BTL2myUy.js"
	},
	"/assets/faq-ZUaRi3Rf.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"90a-MuO8tz+dW362wrHHjodEDJYXUhs\"",
		"mtime": "2026-08-19T16:07:16.343Z",
		"size": 2314,
		"path": "../public/assets/faq-ZUaRi3Rf.js"
	},
	"/assets/Footer-BlH0Gspn.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1c56-zrtYpcjtCC3LuSzYqvatYxk8sd0\"",
		"mtime": "2026-08-19T16:07:15.804Z",
		"size": 7254,
		"path": "../public/assets/Footer-BlH0Gspn.js"
	},
	"/assets/image-upload-BIvuDPhE.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"6ad-Tzr0Eo/zJFTHzA+XgEQpJBk6GSk\"",
		"mtime": "2026-08-19T16:07:16.343Z",
		"size": 1709,
		"path": "../public/assets/image-upload-BIvuDPhE.js"
	},
	"/assets/index-BFZg1haX.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"634b3-carvVBz4L6R1MP/yUdcN6kMgvxU\"",
		"mtime": "2026-08-19T16:07:15.804Z",
		"size": 406707,
		"path": "../public/assets/index-BFZg1haX.js"
	},
	"/assets/LiveMapTracker-axnL2ibN.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1f7e-iQjs1eLUkRNDJ5v5fabMHe4T8Is\"",
		"mtime": "2026-08-19T16:07:15.806Z",
		"size": 8062,
		"path": "../public/assets/LiveMapTracker-axnL2ibN.js"
	},
	"/assets/jsx-runtime-DGeXAQPT.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"3ab-mgnSm9dUpwL2+z7tKxJ2MsN0fOM\"",
		"mtime": "2026-08-19T16:07:16.344Z",
		"size": 939,
		"path": "../public/assets/jsx-runtime-DGeXAQPT.js"
	},
	"/assets/loader-circle-CnOnp3Jr.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"85-3WFrSpsWx+1DF70Z7cGnpWn+2S0\"",
		"mtime": "2026-08-19T16:07:16.432Z",
		"size": 133,
		"path": "../public/assets/loader-circle-CnOnp3Jr.js"
	},
	"/assets/link-BEigRx5R.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"85f1-km/6x3IotQscHV8EuwZ4m2zTnik\"",
		"mtime": "2026-08-19T16:07:16.346Z",
		"size": 34289,
		"path": "../public/assets/link-BEigRx5R.js"
	},
	"/assets/mail-BopYwFiG.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"ca-nrujsrPgBkrbiEbeuLu4scJK1BU\"",
		"mtime": "2026-08-19T16:07:16.448Z",
		"size": 202,
		"path": "../public/assets/mail-BopYwFiG.js"
	},
	"/assets/map-pin-z_SXwEyN.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"f8-DbbTo1/selRCKn1g6a4mx2Imanc\"",
		"mtime": "2026-08-19T16:07:16.448Z",
		"size": 248,
		"path": "../public/assets/map-pin-z_SXwEyN.js"
	},
	"/assets/Modals-BkPPnKoF.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"3ba9d-ThGK0skZNfXD/P6cJ/HBmo2sbEQ\"",
		"mtime": "2026-08-19T16:07:15.806Z",
		"size": 244381,
		"path": "../public/assets/Modals-BkPPnKoF.js"
	},
	"/assets/not-found-i5RsCZif.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"76-Trmr7GZIBZuvfg4uM18tBiRtOXg\"",
		"mtime": "2026-08-19T16:07:16.448Z",
		"size": 118,
		"path": "../public/assets/not-found-i5RsCZif.js"
	},
	"/assets/orders._id-BDNH7xTi.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"3ce5-qk2q3HfH3e0qXxMSmFUx3D2640A\"",
		"mtime": "2026-08-19T16:07:16.466Z",
		"size": 15589,
		"path": "../public/assets/orders._id-BDNH7xTi.js"
	},
	"/assets/package-DzDt_BEJ.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"169-0oSQxhsomFybC8YV93dqT2Tn7KE\"",
		"mtime": "2026-08-19T16:07:16.473Z",
		"size": 361,
		"path": "../public/assets/package-DzDt_BEJ.js"
	},
	"/assets/phone-ClpZlnHr.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"137-RbxtfiBi83ZziHvLMn60Jynnf2M\"",
		"mtime": "2026-08-19T16:07:16.506Z",
		"size": 311,
		"path": "../public/assets/phone-ClpZlnHr.js"
	},
	"/assets/press-xc6i3oFi.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"6d5-pZo8Rf1KfAp0rhMjzkCCeEkIGZk\"",
		"mtime": "2026-08-19T16:07:16.516Z",
		"size": 1749,
		"path": "../public/assets/press-xc6i3oFi.js"
	},
	"/assets/product._id-CHJbYoOk.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"17d-kbXbFbKm2mfA0RBU5QwyK7Ajj5A\"",
		"mtime": "2026-08-19T16:07:16.516Z",
		"size": 381,
		"path": "../public/assets/product._id-CHJbYoOk.js"
	},
	"/assets/product._id-DvPwmCw4.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1a2-JKJry201oAvU+wpvUK22lD2WNDo\"",
		"mtime": "2026-08-19T16:07:16.518Z",
		"size": 418,
		"path": "../public/assets/product._id-DvPwmCw4.js"
	},
	"/assets/product._id-grdbmBvb.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"338c-ogD7cpdQOSlWHCzbP73BLW2r3Ms\"",
		"mtime": "2026-08-19T16:07:16.518Z",
		"size": 13196,
		"path": "../public/assets/product._id-grdbmBvb.js"
	},
	"/assets/profile-bIMr7bXA.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1313-66Xg177iVm0MUXnn39EJIBKZ1CI\"",
		"mtime": "2026-08-19T16:07:16.519Z",
		"size": 4883,
		"path": "../public/assets/profile-bIMr7bXA.js"
	},
	"/assets/returns-BYQNCvz4.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"863-OPLCDESQBtveeGGzm8/ouPdrrvU\"",
		"mtime": "2026-08-19T16:07:16.520Z",
		"size": 2147,
		"path": "../public/assets/returns-BYQNCvz4.js"
	},
	"/assets/rotate-ccw-DjxN4Cy0.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"bd-E6xKWNNgrsp8utFnyHulsV4hK68\"",
		"mtime": "2026-08-19T16:07:16.563Z",
		"size": 189,
		"path": "../public/assets/rotate-ccw-DjxN4Cy0.js"
	},
	"/assets/routes-CrIuNvDM.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"259a-gzqjl0VTJpp0KAzo7NKNl6Ursac\"",
		"mtime": "2026-08-19T16:07:16.765Z",
		"size": 9626,
		"path": "../public/assets/routes-CrIuNvDM.js"
	},
	"/assets/shipping-Dj0a5qca.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"865-rt1fWejhgn5+wX0WM8bJmfh429c\"",
		"mtime": "2026-08-19T16:07:16.856Z",
		"size": 2149,
		"path": "../public/assets/shipping-Dj0a5qca.js"
	},
	"/assets/styles-Czh6rNdg.css": {
		"type": "text/css; charset=utf-8",
		"etag": "\"1a4ef-ypz0Am7e+D6Jm0715QpaPb2N1UI\"",
		"mtime": "2026-08-19T16:07:16.974Z",
		"size": 107759,
		"path": "../public/assets/styles-Czh6rNdg.css"
	},
	"/assets/track-order-BuwAAgvT.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"b6b-86rcNxjSImb2mv2qMt8XeYQnxHw\"",
		"mtime": "2026-08-19T16:07:16.856Z",
		"size": 2923,
		"path": "../public/assets/track-order-BuwAAgvT.js"
	},
	"/assets/vendor-D7E3As-r.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"dabd-JnPapH7YjKUOpMmS4u30Hd+Veu0\"",
		"mtime": "2026-08-19T16:07:16.859Z",
		"size": 55997,
		"path": "../public/assets/vendor-D7E3As-r.js"
	},
	"/assets/video-Ce25PoQj.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"ed-xAn9lP6vY7+f5elr05FQMNNsEik\"",
		"mtime": "2026-08-19T16:07:16.973Z",
		"size": 237,
		"path": "../public/assets/video-Ce25PoQj.js"
	},
	"/assets/_storeSlug-DVvgp5uC.js": {
		"type": "text/javascript; charset=utf-8",
		"etag": "\"1c04-T6aJAckSgFwtWB0Knf2ZKiiB2qY\"",
		"mtime": "2026-08-19T16:07:15.807Z",
		"size": 7172,
		"path": "../public/assets/_storeSlug-DVvgp5uC.js"
	}
};
//#endregion
//#region #nitro/virtual/public-assets
var publicAssetBases = {};
function isPublicAssetURL(id = "") {
	if (public_assets_data_default[id]) return true;
	for (const base in publicAssetBases) if (id.startsWith(base)) return true;
	return false;
}
//#endregion
//#region node_modules/nitro/dist/runtime/internal/route-rules.mjs
var headers = ((m) => function headersRouteRule(event) {
	for (const [key, value] of Object.entries(m.options || {})) event.res.headers.set(key, value);
});
//#endregion
//#region #nitro/virtual/routing
var findRouteRules = /* @__PURE__ */ (() => {
	const $0 = [{
		name: "headers",
		route: "/assets/**",
		handler: headers,
		options: { "cache-control": "public, max-age=31536000, immutable" }
	}];
	return (m, p) => {
		let r = [];
		if (p.charCodeAt(p.length - 1) === 47) p = p.slice(0, -1) || "/";
		let s = p.split("/");
		if (s.length > 1) {
			if (s[1] === "assets") r.unshift({
				data: $0,
				params: { "_": s.slice(2).join("/") }
			});
		}
		return r;
	};
})();
var _lazy_pGxtLF = defineLazyEventHandler(() => import("./_chunks/ssr-renderer.mjs"));
var findRoute = /* @__PURE__ */ (() => {
	const data = {
		route: "/**",
		handler: _lazy_pGxtLF
	};
	return ((_m, p) => {
		return {
			data,
			params: { "_": p.slice(1) }
		};
	});
})();
[].filter(Boolean);
//#endregion
//#region node_modules/nitro/dist/runtime/internal/error/prod.mjs
var errorHandler = (error, event) => {
	const res = defaultHandler(error, event);
	return new FastResponse(typeof res.body === "string" ? res.body : JSON.stringify(res.body, null, 2), res);
};
function defaultHandler(error, event) {
	const unhandled = error.unhandled ?? !HTTPError.isError(error);
	const { status = 500, statusText = "" } = unhandled ? {} : error;
	if (status === 404) {
		const url = event.url || new URL(event.req.url);
		const baseURL = "/";
		if (/^\/[^/]/.test(baseURL) && !url.pathname.startsWith(baseURL)) return {
			status: 302,
			headers: new Headers({ location: `${baseURL}${url.pathname.slice(1)}${url.search}` })
		};
	}
	const headers = new Headers(unhandled ? {} : error.headers);
	headers.set("content-type", "application/json; charset=utf-8");
	return {
		status,
		statusText,
		headers,
		body: {
			error: true,
			...unhandled ? {
				status,
				unhandled: true
			} : typeof error.toJSON === "function" ? error.toJSON() : {
				status,
				statusText,
				message: error.message
			}
		}
	};
}
//#endregion
//#region #nitro/virtual/error-handler
var errorHandlers = [errorHandler];
async function error_handler_default(error, event) {
	for (const handler of errorHandlers) try {
		const response = await handler(error, event, { defaultHandler });
		if (response) return response;
	} catch (error) {
		console.error(error);
	}
}
//#endregion
//#region #nitro/virtual/app
function createNitroApp() {
	const captureError = (error, errorCtx) => {
		if (errorCtx?.event) {
			const errors = errorCtx.event.req.context?.nitro?.errors;
			if (errors) errors.push({
				error,
				context: errorCtx
			});
		}
	};
	const h3App = createH3App({ onError(error, event) {
		return error_handler_default(error, event);
	} });
	let appHandler = (req) => {
		req.context ||= {};
		req.context.nitro = req.context.nitro || { errors: [] };
		return h3App.fetch(req);
	};
	return {
		fetch: appHandler,
		h3: h3App,
		hooks: void 0,
		captureError
	};
}
function createH3App(config) {
	const h3App = new H3Core(config);
	h3App["~findRoute"] = (event) => findRoute(event.req.method, event.url.pathname);
	h3App["~getMiddleware"] = (event, route) => {
		const pathname = event.url.pathname;
		const method = event.req.method;
		const middleware = [];
		const routeRules = getRouteRules(method, pathname);
		event.context.routeRules = routeRules?.routeRules;
		if (routeRules?.routeRuleMiddleware.length) middleware.push(...routeRules.routeRuleMiddleware);
		if (route?.data?.middleware?.length) middleware.push(...route.data.middleware);
		return middleware;
	};
	return h3App;
}
//#endregion
//#region node_modules/nitro/dist/runtime/internal/app.mjs
var APP_ID = "default";
function useNitroApp() {
	let instance = useNitroApp._instance;
	if (instance) return instance;
	instance = useNitroApp._instance = createNitroApp();
	globalThis.__nitro__ = globalThis.__nitro__ || {};
	globalThis.__nitro__[APP_ID] = instance;
	return instance;
}
function useNitroHooks() {
	const nitroApp = useNitroApp();
	const hooks = nitroApp.hooks;
	if (hooks) return hooks;
	return nitroApp.hooks = new HookableCore();
}
function getRouteRules(method, pathname) {
	const m = findRouteRules(method, pathname);
	if (!m?.length) return { routeRuleMiddleware: [] };
	const routeRules = {};
	for (const layer of m) for (const rule of layer.data) {
		const currentRule = routeRules[rule.name];
		if (currentRule) {
			if (rule.options === false) {
				delete routeRules[rule.name];
				continue;
			}
			if (typeof currentRule.options === "object" && typeof rule.options === "object") currentRule.options = {
				...currentRule.options,
				...rule.options
			};
			else currentRule.options = rule.options;
			currentRule.route = rule.route;
			currentRule.params = {
				...currentRule.params,
				...layer.params
			};
		} else if (rule.options !== false) routeRules[rule.name] = {
			...rule,
			params: layer.params
		};
	}
	const middleware = [];
	const orderedRules = Object.values(routeRules).sort((a, b) => (a.handler?.order || 0) - (b.handler?.order || 0));
	for (const rule of orderedRules) {
		if (rule.options === false || !rule.handler) continue;
		middleware.push(rule.handler(rule));
	}
	return {
		routeRules,
		routeRuleMiddleware: middleware
	};
}
//#endregion
//#region node_modules/nitro/dist/presets/cloudflare/runtime/_module-handler.mjs
function createHandler(hooks) {
	const nitroApp = useNitroApp();
	const nitroHooks = useNitroHooks();
	return {
		async fetch(request, env, context) {
			globalThis.__env__ = env;
			augmentReq(request, {
				env,
				context
			});
			const ctxExt = {};
			const url = new URL(request.url);
			if (hooks.fetch) {
				const res = await hooks.fetch(request, env, context, url, ctxExt);
				if (res) return res;
			}
			return await nitroApp.fetch(request);
		},
		scheduled(controller, env, context) {
			globalThis.__env__ = env;
			context.waitUntil(nitroHooks.callHook("cloudflare:scheduled", {
				controller,
				env,
				context
			}) || Promise.resolve());
		},
		email(message, env, context) {
			globalThis.__env__ = env;
			context.waitUntil(nitroHooks.callHook("cloudflare:email", {
				message,
				event: message,
				env,
				context
			}) || Promise.resolve());
		},
		queue(batch, env, context) {
			globalThis.__env__ = env;
			context.waitUntil(nitroHooks.callHook("cloudflare:queue", {
				batch,
				event: batch,
				env,
				context
			}) || Promise.resolve());
		},
		tail(traces, env, context) {
			globalThis.__env__ = env;
			context.waitUntil(nitroHooks.callHook("cloudflare:tail", {
				traces,
				env,
				context
			}) || Promise.resolve());
		},
		trace(traces, env, context) {
			globalThis.__env__ = env;
			context.waitUntil(nitroHooks.callHook("cloudflare:trace", {
				traces,
				env,
				context
			}) || Promise.resolve());
		}
	};
}
function augmentReq(cfReq, ctx) {
	const req = cfReq;
	req.ip = cfReq.headers.get("cf-connecting-ip") || void 0;
	req.runtime ??= { name: "cloudflare" };
	req.runtime.cloudflare = {
		...req.runtime.cloudflare,
		...ctx
	};
	req.waitUntil = ctx.context?.waitUntil.bind(ctx.context);
}
//#endregion
//#region node_modules/nitro/dist/presets/cloudflare/runtime/cloudflare-module.mjs
var cloudflare_module_default = createHandler({ fetch(cfRequest, env, context, url) {
	if (env.ASSETS && isPublicAssetURL(url.pathname)) return env.ASSETS.fetch(cfRequest);
} });
//#endregion
export { cloudflare_module_default as default };
